function addEquipment(name, type, prefix) {

    var ul = document.getElementById(prefix + 'equipment');
    var li = document.createElement('LI');
    var inp1  = document.createElement('INPUT');
    var select = document.getElementsByName(prefix + name);

    var val = select[0].value;
    var txt = document.createTextNode(select[0].options[select[0].selectedIndex].text);

    if (val == 'null')
	return;

    val = val + ':' + type;

    // Check for (and ignore) duplicates
    var fields = document.getElementsByName(prefix + 'equipment[]');
    for (var i = 0 ; i < fields.length ; i++) {
	if (fields[i].value == val)
	    return;
    }

    inp1.setAttribute('type', 'hidden');
    inp1.setAttribute('name', prefix + 'equipment[]');
    inp1.setAttribute('value', val);

    li.appendChild(inp1);
    li.appendChild(txt);

    li.onclick = function() {
	removeItem(li);
    }

    ul.appendChild(li);
}

function addKeyword(name, prefix) {

    var ul = document.getElementById(prefix + 'keywords');
    var li = document.createElement('LI');
    var inp1  = document.createElement('INPUT');
    var inp0 = document.getElementsByName(prefix + name)[0];

    var val = inp0.value;
    var txt = document.createTextNode(val);

    if (val == 'null')
	return;

    // Check for (and ignore) duplicates
    var fields = document.getElementsByName(prefix + 'keywords[]');
    for (var i = 0 ; i < fields.length ; i++) {
	if (fields[i].value == val)
	    return;
    }

    inp1.setAttribute('type', 'hidden');
    inp1.setAttribute('name', prefix + 'keywords[]');
    inp1.setAttribute('value', val);

    li.appendChild(inp1);
    li.appendChild(txt);

    inp0.value = '';

    li.onclick = function() {
	removeItem(li);
    }

    ul.appendChild(li);
}


function removeItem(i){
    i.parentNode.removeChild(i);
}
